PACMAN-CONF(8)

BEZEICHNUNG
pacman-conf - die Konfigurationsdatei von Pacman abfragen

ÜBERSICHT

pacman-conf [Optionen] [<Einstellung> …]

pacman-conf (--repo-list|--help|--version)

BESCHREIBUNG

pacman-conf ist ein Dienstprogramm zum Auswerten der Konfigurationsdatei von pacman. Die Ausgabe erfolgt Skript-freundlich. Es ist so konzipiert worden, dass es nicht-triviale Konfigurationsmerkmale wie die Interpolation von Variablen und die Verwendung der »Include«-Einstellung sauber verarbeiten kann. Es garantiert, dass es die gleichen Konfigurationswerte ausgibt, wie sie auch pacman selbst verwenden würde.

pacman-conf gibt standardmäßig den vollständig aufgelösten Inhalt der Konfigurationsdatei oder (sofern der Name einer Konfigurationseinstellung angegeben ist) nur den Inhalt der angegebenen Einstellung aus.

OPTIONEN

-c, --config <Pfad>
    gibt eine alternative Konfigurationsdatei an.

-R, --rootdir <Pfad>
    gibt eine alternative Installationswurzel an (Vorgabe ist /).

-r, --repo <Repositorium>
    fragt die Optionen für ein bestimmtes Repositorium ab.

-v, --verbose
    zeigt immer die Namen der Einstellungen an.

-l, --repo-list
    listet die konfigurierten Repositorien auf.

-h, --help
    gibt die Syntax und Befehlszeilenoptionen aus.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

pacman-conf -r core Usage
    zeigt den Wert der Konfigurationsoption Usage für das Repositorium core an.

pacman-conf HoldPkg
    zeigt den Wert der Konfigurationsoption HoldPkg an.

SIEHE AUCH

pacman.conf(5)

Auf der Pacman-Website (https://archlinux.org/pacman/) finden Sie aktuelle Informationen zu Pacman und den zugehörigen Werkzeugen.

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, berichten Sie diese (auf Englisch) in dem Fehlererfassungssystem unter https://gitlab.archlinux.org/pacman/pacman/-/issues zusammen mit den konkreten Informationen wie Ihre Befehlszeile, die Art des Fehlers und sogar der Paketdatenbank, falls das hilft.

AUTOREN

Derzeitige Betreuer:

    • Allan McRae (allan@archlinux.org)

    • Andrew Gregory (andrew.gregory.8@gmail.com)

    • Morgan Adamiec (morganamilo@archlinux.org)

Bedeutende frühere Mitwirkende:

    • Judd Vinet (jvinet@zeroflux.org)

    • Aurelien Foret (aurelien@archlinux.org)

    • Aaron Griffin (aaron@archlinux.org)

    • Dan McGee (dan@archlinux.org)

    • Xavier Chantry (shiningxc@gmail.com)

    • Nagy Gábor (ngaba@bibl.u-szeged.hu)

    • Dave Reisner (dreisner@archlinux.org)

    • Eli Schwartz (eschwartz@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium pacman.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).